Bug 642294 - (CVE-2010-3178) CVE-2010-3178 Mozilla cross-site information disclosure via modal calls
CVE-2010-3178 Mozilla cross-site information disclosure via modal calls
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20101019,reported=20101008,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-12 10:39 EDT by Josh Bressers
Modified: 2013-04-12 17:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-12 17:50:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0782 normal SHIPPED_LIVE Critical: firefox security update 2010-10-19 19:20:46 EDT
Red Hat Product Errata RHSA-2010:0861 normal SHIPPED_LIVE Critical: firefox security update 2010-11-09 14:05:41 EST
Red Hat Product Errata RHSA-2010:0896 normal SHIPPED_LIVE Moderate: thunderbird security update 2010-11-17 10:19:33 EST

  None (edit)
Description Josh Bressers 2010-10-12 10:39:41 EDT
Security researcher Eduardo Vela N reported that if a web page opened a new
window and used a javascript: URL to make a modal call, such as alert(),
then subsequently navigated the page to a different domain, once the modal
call returned the opener of the window could get access to objects in the
navigated window. This is a violation of the same-origin policy and could
be used by an attacker to steal information from another web site.
Comment 1 Josh Bressers 2010-10-19 18:01:56 EDT
This is now public:
http://www.mozilla.org/security/announce/2010/mfsa2010-69.html
Comment 2 errata-xmlrpc 2010-10-19 19:21:14 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0782 https://rhn.redhat.com/errata/RHSA-2010-0782.html
Comment 3 errata-xmlrpc 2010-11-10 13:58:58 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0861 https://rhn.redhat.com/errata/RHSA-2010-0861.html
Comment 4 errata-xmlrpc 2010-11-17 10:19:58 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0896 https://rhn.redhat.com/errata/RHSA-2010-0896.html

Note You need to log in before you can comment on or make changes to this bug.